const {
  email,
  enumType,
  minLength,
  maxLength,
  object,
  string,
  safeParse,
  isoDateTime
} = require("valibot")
  
const LoginSchema = object({
  email: string([email()]),
  password: string([minLength(8)]),
});

const UserProfileSchema = object({
  email: string([email()]),
  firstName: string([minLength(1)]),
  lastName: string([minLength(1)]),
  dateOfBirth: string([isoDateTime()]),
});

const EmailSchema = string([email()])
const ValidateLength = string([minLength(10), maxLength(13)])

console.log('LoginSchema', safeParse(LoginSchema, {
    email: 'testje',
    password: 'ValidPassword'
}))

console.log('LoginSchema', safeParse(LoginSchema, {
    email: 'raymon@byrayray.dev',
    password: 'ValidPassword'
}))

console.log('UserProfileSchema', safeParse(UserProfileSchema, {
    email: 'raymon@byrayray.dev',
    firstName: 'RayRay',
    lastName: 'Lalal',
    dateOfBirth: '1988-07-11T19:34'
}))

console.log('EmailSchema', safeParse(EmailSchema, 'rayray@gmail.com'))
console.log('ValidateLength', safeParse(ValidateLength, 'iwdfolspaken'));
